OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.VertexAttribInteger64Bit

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVVertexAttribInteger64Bit :: MonadIO m => m Bool
- gl_NV_vertex_attrib_integer_64bit :: Bool
- gl_INT64_NV :: GLenum
- gl_UNSIGNED_INT64_NV :: GLenum
- glGetVertexAttribLi64vNV :: MonadIO m => GLuint -> GLenum -> Ptr GLint64EXT -> m ()
- glGetVertexAttribLui64vNV :: MonadIO m => GLuint -> GLenum -> Ptr GLuint64EXT -> m ()
- glVertexAttribL1i64NV :: MonadIO m => GLuint -> GLint64EXT -> m ()
- glVertexAttribL1i64vNV :: MonadIO m => GLuint -> Ptr GLint64EXT -> m ()
- glVertexAttribL1ui64NV :: MonadIO m => GLuint -> GLuint64EXT -> m ()
- glVertexAttribL1ui64vNV :: MonadIO m => GLuint -> Ptr GLuint64EXT -> m ()
- glVertexAttribL2i64NV :: MonadIO m => GLuint -> GLint64EXT -> GLint64EXT -> m ()
- glVertexAttribL2i64vNV :: MonadIO m => GLuint -> Ptr GLint64EXT -> m ()
- glVertexAttribL2ui64NV :: MonadIO m => GLuint -> GLuint64EXT -> GLuint64EXT -> m ()
- glVertexAttribL2ui64vNV :: MonadIO m => GLuint -> Ptr GLuint64EXT -> m ()
- glVertexAttribL3i64NV :: MonadIO m => GLuint -> GLint64EXT -> GLint64EXT -> GLint64EXT -> m ()
- glVertexAttribL3i64vNV :: MonadIO m => GLuint -> Ptr GLint64EXT -> m ()
- glVertexAttribL3ui64NV :: MonadIO m => GLuint -> GLuint64EXT -> GLuint64EXT -> GLuint64EXT -> m ()
- glVertexAttribL3ui64vNV :: MonadIO m => GLuint -> Ptr GLuint64EXT -> m ()
- glVertexAttribL4i64NV :: MonadIO m => GLuint -> GLint64EXT -> GLint64EXT -> GLint64EXT -> GLint64EXT -> m ()
- glVertexAttribL4i64vNV :: MonadIO m => GLuint -> Ptr GLint64EXT -> m ()
- glVertexAttribL4ui64NV :: MonadIO m => GLuint -> GLuint64EXT -> GLuint64EXT -> GLuint64EXT -> GLuint64EXT -> m ()
- glVertexAttribL4ui64vNV :: MonadIO m => GLuint -> Ptr GLuint64EXT -> m ()
- glVertexAttribLFormatNV :: MonadIO m => GLuint -> GLint -> GLenum -> GLsizei -> m ()

# Extension Support

glGetNVVertexAttribInteger64Bit :: MonadIO m => m Bool

Is the NV_vertex_attrib_integer_64bit extension supported?

gl_NV_vertex_attrib_integer_64bit :: Bool

Is the NV_vertex_attrib_integer_64bit extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVVertexAttribInteger64Bit` in those cases instead.

# Enums

gl_INT64_NV :: GLenum

gl_UNSIGNED_INT64_NV :: GLenum

# Functions

glGetVertexAttribLi64vNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname`.
-> Ptr GLint64EXT | `params` pointing to `COMPSIZE(pname)` elements of type `GLint64EXT`.
-> m () |

glGetVertexAttribLui64vNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname`.
-> Ptr GLuint64EXT | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint64EXT`.
-> m () |

glVertexAttribL1i64NV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint64EXT | `x`.
-> m () |

glVertexAttribL1i64vNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint64EXT | `v` pointing to `1` element of type `GLint64EXT`.
-> m () |

glVertexAttribL1ui64NV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint64EXT | `x`.
-> m () |

glVertexAttribL1ui64vNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint64EXT | `v` pointing to `1` element of type `GLuint64EXT`.
-> m () |

glVertexAttribL2i64NV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint64EXT | `x`.
-> GLint64EXT | `y`.
-> m () |

glVertexAttribL2i64vNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint64EXT | `v` pointing to `2` elements of type `GLint64EXT`.
-> m () |

glVertexAttribL2ui64NV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint64EXT | `x`.
-> GLuint64EXT | `y`.
-> m () |

glVertexAttribL2ui64vNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint64EXT | `v` pointing to `2` elements of type `GLuint64EXT`.
-> m () |

glVertexAttribL3i64NV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint64EXT | `x`.
-> GLint64EXT | `y`.
-> GLint64EXT | `z`.
-> m () |

glVertexAttribL3i64vNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint64EXT | `v` pointing to `3` elements of type `GLint64EXT`.
-> m () |

glVertexAttribL3ui64NV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint64EXT | `x`.
-> GLuint64EXT | `y`.
-> GLuint64EXT | `z`.
-> m () |

glVertexAttribL3ui64vNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint64EXT | `v` pointing to `3` elements of type `GLuint64EXT`.
-> m () |

glVertexAttribL4i64NV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint64EXT | `x`.
-> GLint64EXT | `y`.
-> GLint64EXT | `z`.
-> GLint64EXT | `w`.
-> m () |

glVertexAttribL4i64vNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint64EXT | `v` pointing to `4` elements of type `GLint64EXT`.
-> m () |

glVertexAttribL4ui64NV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint64EXT | `x`.
-> GLuint64EXT | `y`.
-> GLuint64EXT | `z`.
-> GLuint64EXT | `w`.
-> m () |

glVertexAttribL4ui64vNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint64EXT | `v` pointing to `4` elements of type `GLuint64EXT`.
-> m () |

glVertexAttribLFormatNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type`.
-> GLsizei | `stride`.
-> m () |